part of 'message_notice_bloc.dart';

abstract class MessageNoticeState extends Equatable {
  const MessageNoticeState();

  @override
  List<Object> get props => [];
}

class MessageNoticeInitial extends MessageNoticeState {}

/// 数据加载成功
class MessageNoticeLoadedState extends MessageNoticeState {}

/// 下拉刷新失败
class MessageNoticeOnRefreshErrorState extends MessageNoticeState {}

/// 上拉更多失败
class MessageNoticeOnLoadErrorState extends MessageNoticeState {}

/// 数据初始化加载失败
class MessageNoticeErrorState extends MessageNoticeState {}
